## meep 1.29.0

=== doc/requirements.txt ===
mkdocs==1.6.0
python-markdown-math
mkdocs-material

=== python/requirements.txt ===
autograd
h5py
jax
jaxlib
matplotlib
numpy
parameterized
pytest
scipy

## meep 1.1.1

=== debian/changelog ===
meep (1.1.1-9ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
   - Update configure flag to look for /usr/share/libctl

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 09 Apr 2014 23:07:02 -0400

meep (1.1.1-9) unstable; urgency=low

  * Configure with --with-gcc-arch=no to generate generic code.
    (Closes: #735368)
  * debian/control: remove DM-Upload-Allowed
  * debian/control: libhdf5-serial-dev is libhdf5-dev now
  * debian/copyright: fix lintian warning about duplicate field

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Jan 2014 18:20:00 +0100

meep (1.1.1-8ubuntu1) quantal; urgency=low

  * debian/rules: fixed 'libctl' path (LP: #990137)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Fri, 27 Apr 2012 18:53:19 -0500

meep (1.1.1-8) unstable; urgency=low

  * debian/control: Standards Version to 3.9.3. (No changes needed).
  * debian/control: (Closes: #661661, #662956, #559773)
                    as mpich is no longer maintained and has been
                    removed, all mpi-packages have been removed as well
                    so this package is only about the serial version now
  * debian/source/format: format 3.0 (quilt) introduced
  * debian/copyright: adjust Format:

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Apr 2012 17:20:00 +0200

meep (1.1.1-7) unstable; urgency=low

  * debian/control: moved to dh 8
  * debian/control: Standards Version to 3.9.2. (No changes needed).
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Dec 2011 18:00:00 +0100

meep (1.1.1-6) unstable; urgency=low

  * debian/control: We have to use the serial version of hdf5 here.
                    Otherwise it is not possible to build the parallel
                    and serial version of meep with hdf5 support from the
                    same source package.
                    For a real parallel version please use meep-mpich.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Nov 2010 19:00:00 +0100

meep (1.1.1-5) unstable; urgency=low

  * debian/control: (Closes: #600983)
       dependency on libhdf5-mpi-dev added again 

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 Nov 2010 19:00:00 +0100

meep (1.1.1-4) unstable; urgency=low

  * debian/control: dependencies on chrpath added
  * debian/control: bump Standards Version to 3.9.1. (No changes needed).
  * debian/control: dependency on mpi-default-dev (Closes: #591160, #571445)
    - this is needed to always depend on a working version of MPI on any
      architecture
    - dependency on libmpich1.0-dev and libhdf5-seriald-dev is not needed
      anymore
  * debian/control: due to changed dependencies of dependent packages, this
                    package has to depend on libatlas-base-dev now
  * debian/control: ${misc:Depends} added 
  * debian/rules: remove rpath with chrpath

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 17 Aug 2010 18:00:00 +0200

meep (1.1.1-3) unstable; urgency=low

  * debian/rules: change configure script to produce meep-mpi paths
                  everywhere (closes: #551822)
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 29 Oct 2009 18:00:00 +0200

meep (1.1.1-2) unstable; urgency=low

  * debian/control: conflicts added for old libmeep versions
    (closes: #548298, #548300)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Sep 2009 19:00:00 +0200

meep (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #526352, #530868, #543431)
  * debian/rules: dpatch deactivated again, patches are included in upstream
  * debian/rules: added upstream file ChangeLog to package (pedantic lintian)
  * debian/control: Standards-Version changed to 3.8.3
  * debian/*.symbols*: Maintaining symbols files for these internal libraries 
    does not appear to be a good idea at present as arch- and optimisation-
    dependent symbols tend to slip in. So turning off generation of symbols 
    files has a side-effec of fixing the build failures on armel, mips and 
    mipsel. (also closes: #537813)
  * upstream changed soname from 2 to 6
  * added lintian overrides (see comments in override file):
    - no-symbols-control-file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 31 Aug 2009 18:00:00 +0200

meep (0.20.3-3) unstable; urgency=low

  * adding modified symbols files (Closes: #520185)
    - for arch alpha, hppa, powerpc, s390, sparc
  * added ldconfig in postinst and postrm for libmeep2 and libmeep-mpi2
    to meet requirements of policy 8.1.1
  * debian/control: Standards-Version changed to 3.8.1
  * debian/control: depending on libctl-dev >=3.0.3-3 in order to use guile-1.8
  * added non empty file meep-enums.scm

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Apr 2009 19:45:00 +0200

meep (0.20.3-2) unstable; urgency=low

  * removed lintian warnings
    - debian/control more detailed extended description
    - debian/copyright changed License:-tag to correct value GPL-2+
    - adding minimal symbols file for libmeep2 and libmeep-mpi2
    - adding modified symbols files for arch amd64
  * applied patch for FTBFS with gcc4.4 (Closes: #505002)
  * debian/rules dpatch activated again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Feb 2009 19:30:00 +0100

meep (0.20.3-1) unstable; urgency=low

  * New upstream release (Closes: #491516, #491593, #491889)
  * New maintainer (Closes: #481042)
  * debian/control: Standards-Version changed to 3.8.0
  * debian/control: Homepage: added
  * debian/control: Build-Depends: changed to new name of libraries
  * debian/control: meep 0.20 now depends on libctl 3.0.3
  * soname of libraries increased to 2 by upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Jul 2008 18:30:00 +0100

meep (0.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add include to fix FTBFS on gcc4.3, closes: 455289
  * Transition to gortran, closes: 468877


=== debian/control ===
Source: meep
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libgsl0-dev, liblapack-dev, chrpath, libatlas-base-dev,  libhdf5-dev|libhdf5-serial-dev
Standards-Version: 3.9.3
Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep

Package: meep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: h5utils
Description: software package for FDTD simulation
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the software.

Package: libmeep6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmeep1, libmeep2
Description: library for using meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the library.

Package: libmeep-dev
Section: libdevel
Architecture: any
Depends: libmeep6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmeep-mpi-dev
Description: development library for using meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains some files for developing software.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = meep
soname = 6
l = lib$(package)$(soname)
ld = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx

configure: configure-stamp-serial

configure-stamp-serial: 
	dh_testdir
	mkdir -p debian/build-serial
	cd debian/build-serial && \
		F77=gfortran ../../configure $(CONFIGURE_FLAGS) || true
	touch configure-stamp-serial

build: build-arch build-indep
build-arch: build-stamp-serial
build-indep: build-stamp-serial

build-stamp-serial: configure-stamp-serial
	dh_testdir
	$(MAKE) -C debian/build-serial/
	touch build-stamp-serial

clean: 
	dh_testdir
	dh_testroot
	-rm -rf debian/build-serial
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-serial
        # Lintian overrides
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-serial: build-stamp-serial
	dh_testdir
	dh_testroot
	mkdir -p debian/build-serial/tmpinst
	$(MAKE) -C debian/build-serial/ install prefix=$(CURDIR)/debian/build-serial/tmpinst/usr
	dh_install -pmeep -p$(l) -p$(ld) \
		--sourcedir=debian/build-serial/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs -a
	dh_installman -a
	dh_installman -pmeep debian/meep.1
	dh_installchangelogs -a ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -p$(l)
	dh_installdeb -a
	dh_shlibdeps -pmeep
	dh_shlibdeps -p$(l)
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-serial

## meep 1.2.1

=== debian/changelog ===
meep (1.2.1-2) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756679)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Aug 2014 12:00:00 +0200

meep (1.2.1-1) unstable; urgency=medium

  * new upstream version (Closes: #743466)
  * soname changed to 7
  * debian/rules: upstream ChangeLog is now called NEWS
  * debian/control: Standards Version to 3.9.5. (No changes needed).
  * debian/control: switch to dh 9
  * debian/control: use guile 2.0 now (Closes: #746007)
  * debian/rules: use debhelper (Closes: #747410)
  * debian/rules: use --with autoreconf (Closes: #744465)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 10 May 2014 15:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,22 @@
 Source: meep
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 8), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libgsl0-dev, liblapack-dev, chrpath, libatlas-base-dev,  libhdf5-dev|libhdf5-serial-dev
-Standards-Version: 3.9.3
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.0.3-3), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, 
+  libfftw3-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  chrpath, 
+  libatlas-base-dev,  
+  libhdf5-dev
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep
@@ -35,11 +47,12 @@
  .
  This package contains the software.
 
-Package: libmeep6
+Package: libmeep7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmeep1, libmeep2
+Pre-Depends: multiarch-support
+Conflicts: libmeep1, libmeep2, libmeep6
 Description: library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -67,7 +80,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep6 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_installchangelogs NEWS
	dh_auto_install

override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

## meep 1.3

=== debian/changelog ===
meep (1.3-3build1) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:22:36 +0000

meep (1.3-3) unstable; urgency=medium

  * debian/rules: exclude architectures from tests (see #759790)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Jul 2015 20:00:00 +0200

meep (1.3-2) unstable; urgency=medium

  * debian/rules: use --parallel in dh (Closes: #759790)
                  (Thanks to Gilles Filippini for this hint) 
  * debian/rules: don't use tests on powerpc until issue is clarified
                  (Closes: #790917)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Jul 2015 11:00:00 +0200

meep (1.3-1) unstable; urgency=medium

  * new upstream version (Closes: #781624, #789558)
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 22 Jun 2015 19:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   chrpath, 
   libatlas-base-dev,  
   libhdf5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep
@@ -47,12 +47,11 @@
  .
  This package contains the software.
 
-Package: libmeep7
+Package: libmeep8
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: multiarch-support
-Conflicts: libmeep1, libmeep2, libmeep6
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
+Conflicts: libmeep1, libmeep2, libmeep6, libmeep7
 Description: library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -80,7 +79,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep8 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 install_file    = /usr/bin/install -p -o root -g root -m 644
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
   export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
@@ -21,7 +22,7 @@
 	--enable-shared --with-pic --enable-cxx
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
 
 override_dh_auto_configure:
 	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)
@@ -34,3 +35,17 @@
 	# we do not need this anymore
 	rm -f tests/latest_output
 	dh_clean
+
+override_dh_auto_test:
+	echo ${arch}
+	if [ "${arch}" = "armel" ] || \
+	   [ "${arch}" = "mips" ] || \
+	   [ "${arch}" = "mipsel" ] || \
+	   [ "${arch}" = "poerpc" ] || \
+	   [ "${arch}" = "sparc" ] ; then \
+	  echo "Do not make tests on this architecture" ;\
+	else \
+	  echo "Do make tests on this architecture" ;\
+	  make check; \
+	fi
+

## meep 1.7.0

=== debian/changelog ===
meep (1.7.0-3) sid; urgency=medium

  * debian/control: also depend on mpi
  * debian/control: update description according to upstream wishes
  * debian/control: update homepage
  * debian/control: Standards Version to 4.3.0. (No changes needed).
  * debian/control: add dependency for python-scipy
  * debian/copyright: update Upstream-Source:

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 31 Jan 2019 19:00:00 +0100

meep (1.7.0-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: add more Conflicts: (Closes: #916823)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 26 Dec 2018 19:20:24 +0100

meep (1.7.0-1) experimental; urgency=medium

  * New upstream release (Closes: #887955)
  * debian/control: Standards Version to 4.2.1. (No changes needed).
  * update debian/watch
  * debian/control: depend on newest libctl and thus on guile2.2
                    (Closes: #885228)
  * debian/control: depend on newest libharminv
  * debian/control: add salsa VCS URLs
  * debian/control: bump SONAME to 12
  * debian/rules: don't use --parallel as dh parameter

  [ Ruben Undheim ]
  * add python package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 17 Dec 2018 19:30:24 +0100

meep (1.4.3-1) UNRELEASED; urgency=medium

  * New upstream release (Closes: #887955)
  * debian/control: use dh11
  * debian/control: Standards Version to 4.1.3. (No changes needed).
  * debian/control: use libctl>=4.0.0
  * debian/control: add swig dependency
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/rules: add --enable-maintainer-mode to configure flags

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Feb 2018 19:01:56 +0100

meep (1.3-4) unstable; urgency=medium

  * debian/control: Update build dependencies for GSL 2, (Closes: #807210)
                    change libgsl0-dev to libgsl-dev.
                    Thanks to Bas Couwenberg for the patch
  * debian/rules: Update configure flag to look for /usr/share/libctl
                  Thanks to Logan Rosen for the patch (Closes:  #748822)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Dec 2015 11:00:00 +0100

=== debian/control ===
Source: meep
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran
	, debhelper (>= 11)
	, libctl-dev (>= 4.1.4-2)
	, pkg-config
	, libharminv-dev (>= 1.4.1)
	, zlib1g-dev
	, libfftw3-dev
	, libgsl-dev
	, liblapack-dev
	, chrpath
	, libatlas-base-dev
	, libhdf5-dev
	, swig
	, mpb-dev, mpb
	, python-dev
	, python-numpy
	, python-h5py
	, python-scipy
Standards-Version: 4.3.0
Homepage: https://meep.readthedocs.io
Vcs-Browser: https://salsa.debian.org/alteholz/meep
Vcs-Git: https://salsa.debian.org/alteholz/meep.git

Package: meep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: h5utils
Description: software package for FDTD simulation
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the software.

Package: libmeep12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10
Description: library for using meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the library.

Package: libmeep-dev
Section: libdevel
Architecture: any
Depends: libmeep12 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmeep-mpi-dev
Description: development library for using meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains some files for developing software.

Package: python-meep
Section: python
Architecture: any
Depends: libmeep12 (= ${binary:Version})
	, ${misc:Depends}
	, ${shlibs:Depends}
	, python-numpy
	, python
Description: software package for FDTD simulation with Python
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the Python binding

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--enable-maintainer-mode

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

override_dh_auto_test:
	find
	echo ${arch}
	#if [ "${arch}" = "armel" ] || \
	#   [ "${arch}" = "mips" ] || \
	#   [ "${arch}" = "mipsel" ] || \
	#   [ "${arch}" = "powerpc" ] || \
	#   [ "${arch}" = "sparc" ] ; then \
	#  echo "Do not make tests on this architecture" ;\
	#else \
	#  echo "Do make tests on this architecture" ;\
	#  make check; \
	#  find; \
	#  cat python/test-suite.log; \
	#fi
	# check whether testsuite runs everywhere
	make check; \
	cat python/test-suite.log

override_dh_auto_install:
	dh_installchangelogs NEWS.md
	dh_auto_install
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyc
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyo
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.a
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.la
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyc
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyo
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.a
	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.la

#XXX override_dh_shlibdeps:
#XXX 	pwd
#XXX 	find|grep libpympb.so.12
#XXX 	dh_shlibdeps -l./libpympb/.libs

## meep 1.12.0

=== debian/changelog ===
meep (1.12.0-2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:07 +0100

meep (1.12.0-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:36:35 +0000

meep (1.12.0-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: change dependency from atlas to libblas-dev
                    (see MBF Mail and #943712)
                    (Closes: #943827)
  * debian/copyright: update (Closes: #945970)
  * debian/control: update Conflicts: (Closes: #940491)
                    traditionally this is done in meep-* packages
                    those have been uploaded now, so I am closing this
                    bug here

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Dec 2019 21:40:40 +0100

meep (1.12.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/control: use dh12
  * debian/control: bump SONAME to 17
  * debian/control: depend on libctl >= 4.4.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Nov 2019 19:40:40 +0100

meep (1.11.0-3) experimental; urgency=medium

  * disable tests on some architectures
    (they still last too long)
  * build python3 package (Closes: #937003)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Oct 2019 20:51:25 +0200

meep (1.11.0-2) experimental; urgency=medium

  * add "Conflict: libmeep12" for libmeep16 (Closes: #940491)
    Thanks to Andreas for the QA-work.
  * add "Build-Depends: libgdsii-dev" (Closes: #922037)
    Thanks to Ruben for the suggestion.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Oct 2019 18:51:25 +0200

meep (1.11.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump SONAME to 16

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Sep 2019 18:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 11)
-	, libctl-dev (>= 4.1.4-2)
+	, debhelper (>= 12)
+	, libctl-dev (>= 4.4.0)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -12,15 +12,16 @@
 	, libgsl-dev
 	, liblapack-dev
 	, chrpath
-	, libatlas-base-dev
+	, libblas-dev
 	, libhdf5-dev
 	, swig
 	, mpb-dev, mpb
-	, python-dev
-	, python-numpy
-	, python-h5py
-	, python-scipy
-Standards-Version: 4.3.0
+	, python3-dev
+	, python3-numpy
+	, python3-h5py
+	, python3-scipy
+	, libgdsii-dev
+Standards-Version: 4.4.1
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
 Vcs-Git: https://salsa.debian.org/alteholz/meep.git
@@ -60,11 +61,11 @@
  .
  This package contains the software.
 
-Package: libmeep12
+Package: libmeep17
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
-Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10
+Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -99,7 +100,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep12 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep17 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -132,14 +133,14 @@
  .
  This package contains some files for developing software.
 
-Package: python-meep
+Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep12 (= ${binary:Version})
+Depends: libmeep17 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
-	, python-numpy
-	, python
+	, python3-numpy
+	, python3
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--enable-maintainer-mode

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	dh_clean

override_dh_auto_test:
	echo ${arch}
	if [ "${arch}" = "armel" ] || \
	   [ "${arch}" = "riscv64" ] || \
	   [ "${arch}" = "hurd-i386" ] ; then \
	  echo "Do not make tests on this architecture" ;\
	else \
	  echo "Do make tests on this architecture" ;\
	  make check; \
	  find; \
	  cat python/test-suite.log; \
	fi
	## check whether testsuite runs everywhere
	#make check; \
	#cat python/test-suite.log

override_dh_auto_install:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_installchangelogs NEWS.md
	dh_auto_install
	find
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/adjoint/*.pyc
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/adjoint/*.pyo
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.pyc
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.pyo
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.a
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/*.la
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyc
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.pyo
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.a
	$(RM) -f debian/tmp/usr/lib/python*/site-packages/meep/mpb/*.la
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/mpb/__pycache__/
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%meep-$1.tar.gz%" \
    https://github.com/stevengj/meep/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## meep 1.17.1

=== debian/changelog ===
meep (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: fix dependencies (Closes: #979815)
  * debian/control: close guile-3.0 bug (Closes: #969693)
                    (realy fixed in 1.16.1-3)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Jan 2021 19:02:15 +0000

meep (1.17.0-2) unstable; urgency=medium

  * soname bump of libmeep22 to libmeep23

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 07 Jan 2021 21:31:10 +0000

meep (1.17.0-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2021 23:31:10 +0000

meep (1.16.1-3) experimental; urgency=medium

  * upload to experimental
  * build with guile-3.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Dec 2020 16:30:11 +0100

meep (1.16.1-2) unstable; urgency=medium

  * source upload after NEW
  * debian/control: add dependency for python3-matplotlib
  * debian/control: adjust Conflicts (hopefully really Closes: #940491)
  * debian/rules: put the check for nocheck around the correct block
                  (Closes: #975946)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Nov 2020 14:30:11 +0100

meep (1.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 Nov 2020 19:30:11 +0000

meep (1.12.0-3) unstable; urgency=medium

  * use correct package name in python3-meep.p*
    (Closes: #956474, #953677)
    (thanks to Claus Fütterer and Kyle Robbertze for the bug reports)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Apr 2020 19:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 12)
-	, libctl-dev (>= 4.4.0)
+	, debhelper-compat (= 12)
+	, libctl-dev (>= 4.5.0-8)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -15,13 +15,14 @@
 	, libblas-dev
 	, libhdf5-dev
 	, swig
-	, mpb-dev, mpb
+	, mpb-dev (>= 1.11.1-2) , mpb
 	, python3-dev
 	, python3-numpy
 	, python3-h5py
 	, python3-scipy
+	, python3-matplotlib
 	, libgdsii-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep
 Vcs-Git: https://salsa.debian.org/alteholz/meep.git
@@ -29,6 +30,9 @@
 Package: meep
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: meep-mpi-default
+	, meep-mpich2
+	, meep-openmpi
 Recommends: h5utils
 Description: software package for FDTD simulation
  Meep is a free and open-source software package for electromagnetics
@@ -61,11 +65,51 @@
  .
  This package contains the software.
 
-Package: libmeep17
+Package: libmeep23
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
-Conflicts: libmeep1, libmeep2, libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmeep-openmpi6
+        , libmeep-openmpi7
+        , libmeep-openmpi8
+        , libmeep-openmpi12
+        , libmeep-openmpi16
+        , libmeep-openmpi17
+        , libmeep-openmpi22
+        , libmeep-openmpi23
+        , libmeep-lam4-6
+        , libmeep-lam4-7
+        , libmeep-lam4-8
+        , libmeep-lam4-12
+        , libmeep-lam4-16
+        , libmeep-lam4-17
+        , libmeep-lam4-22
+        , libmeep-lam4-23
+        , libmeep-mpi-default6
+        , libmeep-mpi-default7
+        , libmeep-mpi-default8
+        , libmeep-mpi-default12
+        , libmeep-mpi-default16
+        , libmeep-mpi-default17
+        , libmeep-mpi-default22
+        , libmeep-mpi-default23
+        , libmeep-mpich2-6
+        , libmeep-mpich2-7
+        , libmeep-mpich2-8
+        , libmeep-mpich2-12
+        , libmeep-mpich2-16
+        , libmeep-mpich2-17
+        , libmeep-mpich2-22
+        , libmeep-mpich2-23
+        , libmeep6
+        , libmeep7
+        , libmeep8
+        , libmeep10
+        , libmeep12
+        , libmeep16
+        , libmeep17
+        , libmeep22
 Description: library for using meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -100,7 +144,7 @@
 Package: libmeep-dev
 Section: libdevel
 Architecture: any
-Depends: libmeep17 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep23 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libmeep-mpi-dev
 Description: development library for using meep
  Meep is a free and open-source software package for electromagnetics
@@ -136,7 +180,7 @@
 Package: python3-meep
 Section: python
 Architecture: any
-Depends: libmeep17 (= ${binary:Version})
+Depends: libmeep23 (= ${binary:Version})
 	, ${misc:Depends}
 	, ${shlibs:Depends}
 	, python3-numpy

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+export DEB_BUILD_OPTIONS=nocheck
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -36,6 +37,7 @@
 	dh_clean
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo ${arch}
 	if [ "${arch}" = "armel" ] || \
 	   [ "${arch}" = "riscv64" ] || \
@@ -50,9 +52,9 @@
 	## check whether testsuite runs everywhere
 	#make check; \
 	#cat python/test-suite.log
+endif
 
 override_dh_auto_install:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_installchangelogs NEWS.md
 	dh_auto_install
 	find
@@ -69,4 +71,3 @@
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/__pycache__/
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/adjoint/__pycache__/
 	$(RM) -rf debian/tmp/usr/lib/python*/site-packages/meep/mpb/__pycache__/
-endif
